<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PaymentInviteMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $serviceType = null;
    


    protected $expiryTimestamp = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getServiceType()
    {
        return isset($this->serviceType) ? $this->serviceType : 0;
    }

    public function hasServiceType()
    {
        return isset($this->serviceType);
    }

    public function clearServiceType()
    {
        unset($this->serviceType);
    }

    




    public function setServiceType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\PaymentInviteMessage\ServiceType::class);
        $this->serviceType = $var;

        return $this;
    }

    



    public function getExpiryTimestamp()
    {
        return isset($this->expiryTimestamp) ? $this->expiryTimestamp : 0;
    }

    public function hasExpiryTimestamp()
    {
        return isset($this->expiryTimestamp);
    }

    public function clearExpiryTimestamp()
    {
        unset($this->expiryTimestamp);
    }

    




    public function setExpiryTimestamp($var)
    {
        GPBUtil::checkInt64($var);
        $this->expiryTimestamp = $var;

        return $this;
    }

}

